diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/upgrade.php	2013-06-19 17:12:36.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/upgrade.php	2013-07-09 23:01:20.000000000 -0500
***************
*** 132,138 ****
  		$first_post = get_site_option( 'first_post' );
  
  		if ( empty($first_post) )
! 			$first_post = stripslashes( __( 'Welcome to <a href="SITE_URL">SITE_NAME</a>. This is your first post. Edit or delete it, then start blogging!' ) );
  
  		$first_post = str_replace( "SITE_URL", esc_url( network_home_url() ), $first_post );
  		$first_post = str_replace( "SITE_NAME", $current_site->site_name, $first_post );
--- 132,138 ----
  		$first_post = get_site_option( 'first_post' );
  
  		if ( empty($first_post) )
! 			$first_post = __( 'Welcome to <a href="SITE_URL">SITE_NAME</a>. This is your first post. Edit or delete it, then start blogging!' );
  
  		$first_post = str_replace( "SITE_URL", esc_url( network_home_url() ), $first_post );
  		$first_post = str_replace( "SITE_NAME", $current_site->site_name, $first_post );
***************
*** 218,224 ****
  	update_option( 'widget_archives', array ( 2 => array ( 'title' => '', 'count' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_categories', array ( 2 => array ( 'title' => '', 'count' => 0, 'hierarchical' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_meta', array ( 2 => array ( 'title' => '' ), '_multiwidget' => 1 ) );
! 	update_option( 'sidebars_widgets', array ( 'wp_inactive_widgets' => array ( ), 'sidebar-1' => array ( 0 => 'search-2', 1 => 'recent-posts-2', 2 => 'recent-comments-2', 3 => 'archives-2', 4 => 'categories-2', 5 => 'meta-2', ), 'sidebar-2' => array ( ), 'sidebar-3' => array ( ), 'array_version' => 3 ) );
  
  	if ( ! is_multisite() )
  		update_user_meta( $user_id, 'show_welcome_panel', 1 );
--- 218,224 ----
  	update_option( 'widget_archives', array ( 2 => array ( 'title' => '', 'count' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_categories', array ( 2 => array ( 'title' => '', 'count' => 0, 'hierarchical' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_meta', array ( 2 => array ( 'title' => '' ), '_multiwidget' => 1 ) );
! 	update_option( 'sidebars_widgets', array ( 'wp_inactive_widgets' => array (), 'sidebar-1' => array ( 0 => 'search-2', 1 => 'recent-posts-2', 2 => 'recent-comments-2', 3 => 'archives-2', 4 => 'categories-2', 5 => 'meta-2', ), 'sidebar-2' => array (),'array_version' => 3 ) );
  
  	if ( ! is_multisite() )
  		update_user_meta( $user_id, 'show_welcome_panel', 1 );
***************
*** 433,439 ****
  	foreach ($categories as $category) {
  		if ('' == $category->category_nicename) {
  			$newtitle = sanitize_title($category->cat_name);
! 			$wpdb>update( $wpdb->categories, array('category_nicename' => $newtitle), array('cat_ID' => $category->cat_ID) );
  		}
  	}
  
--- 433,439 ----
  	foreach ($categories as $category) {
  		if ('' == $category->category_nicename) {
  			$newtitle = sanitize_title($category->cat_name);
! 			$wpdb->update( $wpdb->categories, array('category_nicename' => $newtitle), array('cat_ID' => $category->cat_ID) );
  		}
  	}
  
***************
*** 636,658 ****
  	$users = $wpdb->get_results("SELECT * FROM $wpdb->users");
  	foreach ( $users as $user ) :
  		if ( !empty( $user->user_firstname ) )
! 			update_user_meta( $user->ID, 'first_name', $wpdb->escape($user->user_firstname) );
  		if ( !empty( $user->user_lastname ) )
! 			update_user_meta( $user->ID, 'last_name', $wpdb->escape($user->user_lastname) );
  		if ( !empty( $user->user_nickname ) )
! 			update_user_meta( $user->ID, 'nickname', $wpdb->escape($user->user_nickname) );
  		if ( !empty( $user->user_level ) )
  			update_user_meta( $user->ID, $wpdb->prefix . 'user_level', $user->user_level );
  		if ( !empty( $user->user_icq ) )
! 			update_user_meta( $user->ID, 'icq', $wpdb->escape($user->user_icq) );
  		if ( !empty( $user->user_aim ) )
! 			update_user_meta( $user->ID, 'aim', $wpdb->escape($user->user_aim) );
  		if ( !empty( $user->user_msn ) )
! 			update_user_meta( $user->ID, 'msn', $wpdb->escape($user->user_msn) );
  		if ( !empty( $user->user_yim ) )
! 			update_user_meta( $user->ID, 'yim', $wpdb->escape($user->user_icq) );
  		if ( !empty( $user->user_description ) )
! 			update_user_meta( $user->ID, 'description', $wpdb->escape($user->user_description) );
  
  		if ( isset( $user->user_idmode ) ):
  			$idmode = $user->user_idmode;
--- 636,658 ----
  	$users = $wpdb->get_results("SELECT * FROM $wpdb->users");
  	foreach ( $users as $user ) :
  		if ( !empty( $user->user_firstname ) )
! 			update_user_meta( $user->ID, 'first_name', wp_slash($user->user_firstname) );
  		if ( !empty( $user->user_lastname ) )
! 			update_user_meta( $user->ID, 'last_name', wp_slash($user->user_lastname) );
  		if ( !empty( $user->user_nickname ) )
! 			update_user_meta( $user->ID, 'nickname', wp_slash($user->user_nickname) );
  		if ( !empty( $user->user_level ) )
  			update_user_meta( $user->ID, $wpdb->prefix . 'user_level', $user->user_level );
  		if ( !empty( $user->user_icq ) )
! 			update_user_meta( $user->ID, 'icq', wp_slash($user->user_icq) );
  		if ( !empty( $user->user_aim ) )
! 			update_user_meta( $user->ID, 'aim', wp_slash($user->user_aim) );
  		if ( !empty( $user->user_msn ) )
! 			update_user_meta( $user->ID, 'msn', wp_slash($user->user_msn) );
  		if ( !empty( $user->user_yim ) )
! 			update_user_meta( $user->ID, 'yim', wp_slash($user->user_icq) );
  		if ( !empty( $user->user_description ) )
! 			update_user_meta( $user->ID, 'description', wp_slash($user->user_description) );
  
  		if ( isset( $user->user_idmode ) ):
  			$idmode = $user->user_idmode;
***************
*** 854,860 ****
  		foreach ( $link_cats as $category) {
  			$cat_id = (int) $category->cat_id;
  			$term_id = 0;
! 			$name = $wpdb->escape($category->cat_name);
  			$slug = sanitize_title($name);
  			$term_group = 0;
  
--- 854,860 ----
  		foreach ( $link_cats as $category) {
  			$cat_id = (int) $category->cat_id;
  			$term_id = 0;
! 			$name = wp_slash($category->cat_name);
  			$slug = sanitize_title($name);
  			$term_group = 0;
  
***************
*** 1279,1285 ****
  		update_site_option( 'ms_files_rewriting', '1' );
  
  	// 3.5.2
! 	if ( $wp_current_db_version < 22442 ) {
  		$illegal_names = get_site_option( 'illegal_names' );
  		if ( is_array( $illegal_names ) && count( $illegal_names ) === 1 ) {
  			$illegal_name = reset( $illegal_names );
--- 1279,1285 ----
  		update_site_option( 'ms_files_rewriting', '1' );
  
  	// 3.5.2
! 	if ( $wp_current_db_version < 24448 ) {
  		$illegal_names = get_site_option( 'illegal_names' );
  		if ( is_array( $illegal_names ) && count( $illegal_names ) === 1 ) {
  			$illegal_name = reset( $illegal_names );
***************
*** 1427,1437 ****
  	if ( 'siteurl' == $setting || 'home' == $setting || 'category_base' == $setting || 'tag_base' == $setting )
  		$option = untrailingslashit( $option );
  
! 	@ $kellogs = unserialize( $option );
! 	if ( $kellogs !== false )
! 		return $kellogs;
! 	else
! 		return $option;
  }
  
  /**
--- 1427,1433 ----
  	if ( 'siteurl' == $setting || 'home' == $setting || 'category_base' == $setting || 'tag_base' == $setting )
  		$option = untrailingslashit( $option );
  
! 	return maybe_unserialize( $option );
  }
  
  /**
***************
*** 1576,1582 ****
  
  				// Get the default value from the array
  					//echo "{$cfields[strtolower($tablefield->Field)]}<br>";
! 				if (preg_match("| DEFAULT '(.*)'|i", $cfields[strtolower($tablefield->Field)], $matches)) {
  					$default_value = $matches[1];
  					if ($tablefield->Default != $default_value) {
  						// Add a query to change the column's default value
--- 1572,1578 ----
  
  				// Get the default value from the array
  					//echo "{$cfields[strtolower($tablefield->Field)]}<br>";
! 				if (preg_match("| DEFAULT '(.*?)'|i", $cfields[strtolower($tablefield->Field)], $matches)) {
  					$default_value = $matches[1];
  					if ($tablefield->Default != $default_value) {
  						// Add a query to change the column's default value
***************
*** 1652,1658 ****
  		foreach ( (array) $indices as $index ) {
  			// Push a query line into $cqueries that adds the index to that table
  			$cqueries[] = "ALTER TABLE {$table} ADD $index";
! 			$for_update[$table.'.'.$fieldname] = 'Added index '.$table.' '.$index;
  		}
  
  		// Remove the original table creation query from processing
--- 1648,1654 ----
  		foreach ( (array) $indices as $index ) {
  			// Push a query line into $cqueries that adds the index to that table
  			$cqueries[] = "ALTER TABLE {$table} ADD $index";
! 			$for_update[] = 'Added index ' . $table . ' ' . $index;
  		}
  
  		// Remove the original table creation query from processing
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/user.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/user.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/user.php	2012-10-05 14:04:34.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/user.php	2013-06-25 06:14:50.000000000 -0500
***************
*** 34,40 ****
  		$update = true;
  		$user->ID = (int) $user_id;
  		$userdata = get_userdata( $user_id );
! 		$user->user_login = $wpdb->escape( $userdata->user_login );
  	} else {
  		$update = false;
  	}
--- 34,40 ----
  		$update = true;
  		$user->ID = (int) $user_id;
  		$userdata = get_userdata( $user_id );
! 		$user->user_login = wp_slash( $userdata->user_login );
  	} else {
  		$update = false;
  	}
***************
*** 43,51 ****
  		$user->user_login = sanitize_user($_POST['user_login'], true);
  
  	$pass1 = $pass2 = '';
! 	if ( isset( $_POST['pass1'] ))
  		$pass1 = $_POST['pass1'];
! 	if ( isset( $_POST['pass2'] ))
  		$pass2 = $_POST['pass2'];
  
  	if ( isset( $_POST['role'] ) && current_user_can( 'edit_users' ) ) {
--- 43,51 ----
  		$user->user_login = sanitize_user($_POST['user_login'], true);
  
  	$pass1 = $pass2 = '';
! 	if ( isset( $_POST['pass1'] ) )
  		$pass1 = $_POST['pass1'];
! 	if ( isset( $_POST['pass2'] ) )
  		$pass2 = $_POST['pass2'];
  
  	if ( isset( $_POST['role'] ) && current_user_can( 'edit_users' ) ) {
***************
*** 106,115 ****
  
  	/* checking that username has been typed */
  	if ( $user->user_login == '' )
! 		$errors->add( 'user_login', __( '<strong>ERROR</strong>: Please enter a username.' ));
  
  	/* checking the password has been typed twice */
! 	do_action_ref_array( 'check_passwords', array ( $user->user_login, & $pass1, & $pass2 ));
  
  	if ( $update ) {
  		if ( empty($pass1) && !empty($pass2) )
--- 106,115 ----
  
  	/* checking that username has been typed */
  	if ( $user->user_login == '' )
! 		$errors->add( 'user_login', __( '<strong>ERROR</strong>: Please enter a username.' ) );
  
  	/* checking the password has been typed twice */
! 	do_action_ref_array( 'check_passwords', array( $user->user_login, &$pass1, &$pass2 ) );
  
  	if ( $update ) {
  		if ( empty($pass1) && !empty($pass2) )
***************
*** 124,130 ****
  	}
  
  	/* Check for "\" in password */
! 	if ( false !== strpos( stripslashes($pass1), "\\" ) )
  		$errors->add( 'pass', __( '<strong>ERROR</strong>: Passwords may not contain the character "\\".' ), array( 'form-field' => 'pass1' ) );
  
  	/* checking the password has been typed twice the same */
--- 124,130 ----
  	}
  
  	/* Check for "\" in password */
! 	if ( false !== strpos( wp_unslash( $pass1 ), "\\" ) )
  		$errors->add( 'pass', __( '<strong>ERROR</strong>: Passwords may not contain the character "\\".' ), array( 'form-field' => 'pass1' ) );
  
  	/* checking the password has been typed twice the same */
***************
*** 150,156 ****
  	}
  
  	// Allow plugins to return their own errors.
! 	do_action_ref_array('user_profile_update_errors', array ( &$errors, $update, &$user ) );
  
  	if ( $errors->get_error_codes() )
  		return $errors;
--- 150,156 ----
  	}
  
  	// Allow plugins to return their own errors.
! 	do_action_ref_array( 'user_profile_update_errors', array( &$errors, $update, &$user ) );
  
  	if ( $errors->get_error_codes() )
  		return $errors;
***************
*** 159,165 ****
  		$user_id = wp_update_user( $user );
  	} else {
  		$user_id = wp_insert_user( $user );
! 		wp_new_user_notification( $user_id, isset($_POST['send_password']) ? $pass1 : '' );
  	}
  	return $user_id;
  }
--- 159,165 ----
  		$user_id = wp_update_user( $user );
  	} else {
  		$user_id = wp_insert_user( $user );
! 		wp_new_user_notification( $user_id, isset( $_POST['send_password'] ) ? wp_unslash( $pass1 ) : '' );
  	}
  	return $user_id;
  }
***************
*** 240,245 ****
--- 240,248 ----
  	$id = (int) $id;
  	$user = new WP_User( $id );
  
+ 	if ( !$user->exists() )
+ 		return false;
+ 
  	// allow for transaction statement
  	do_action('delete_user', $id);
  
***************
*** 344,350 ****
  	$new_data = get_userdata($user_ID);
  
  	if ( $new_data->user_pass != $old_data->user_pass ) { //Remove the nag if the password has been changed.
! 		delete_user_setting('default_password_nag', $user_ID);
  		update_user_option($user_ID, 'default_password_nag', false, true);
  	}
  }
--- 347,353 ----
  	$new_data = get_userdata($user_ID);
  
  	if ( $new_data->user_pass != $old_data->user_pass ) { //Remove the nag if the password has been changed.
! 		delete_user_setting('default_password_nag');
  		update_user_option($user_ID, 'default_password_nag', false, true);
  	}
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/widgets.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/widgets.php	2012-11-06 16:36:24.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/widgets.php	2013-05-09 20:39:30.000000000 -0500
***************
*** 58,64 ****
  
  /**
   * Show the widgets and their settings for a sidebar.
!  * Used in the the admin widget config screen.
   *
   * @since 2.5.0
   *
--- 58,64 ----
  
  /**
   * Show the widgets and their settings for a sidebar.
!  * Used in the admin widget config screen.
   *
   * @since 2.5.0
   *
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/index.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/index.php	2012-11-28 16:28:20.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/index.php	2012-12-11 10:08:58.000000000 -0600
***************
*** 2,9 ****
  /**
   * Dashboard Administration Screen
   *
-  * @internal This file should be parseable by PHP4.
-  *
   * @package WordPress
   * @subpackage Administration
   */
--- 2,7 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/install.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/install.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/install.php	2013-06-30 06:18:35.000000000 -0500
***************
*** 63,69 ****
  	?>
  </head>
  <body class="wp-core-ui<?php if ( is_rtl() ) echo ' rtl'; ?>">
! <h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php
  } // end display_header()
--- 63,69 ----
  	?>
  </head>
  <body class="wp-core-ui<?php if ( is_rtl() ) echo ' rtl'; ?>">
! <h1 id="logo"><a href="<?php echo esc_url( __( 'http://wordpress.org/' ) ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php
  } // end display_header()
***************
*** 84,93 ****
  	if ( ! empty( $_POST ) )
  		$blog_public = isset( $_POST['blog_public'] );
  
! 	$weblog_title = isset( $_POST['weblog_title'] ) ? trim( stripslashes( $_POST['weblog_title'] ) ) : '';
! 	$user_name = isset($_POST['user_name']) ? trim( stripslashes( $_POST['user_name'] ) ) : 'admin';
! 	$admin_password = isset($_POST['admin_password']) ? trim( stripslashes( $_POST['admin_password'] ) ) : '';
! 	$admin_email  = isset( $_POST['admin_email']  ) ? trim( stripslashes( $_POST['admin_email'] ) ) : '';
  
  	if ( ! is_null( $error ) ) {
  ?>
--- 84,93 ----
  	if ( ! empty( $_POST ) )
  		$blog_public = isset( $_POST['blog_public'] );
  
! 	$weblog_title = isset( $_POST['weblog_title'] ) ? trim( wp_unslash( $_POST['weblog_title'] ) ) : '';
! 	$user_name = isset($_POST['user_name']) ? trim( wp_unslash( $_POST['user_name'] ) ) : 'admin';
! 	$admin_password = isset($_POST['admin_password']) ? trim( wp_unslash( $_POST['admin_password'] ) ) : '';
! 	$admin_email  = isset( $_POST['admin_email']  ) ? trim( wp_unslash( $_POST['admin_email'] ) ) : '';
  
  	if ( ! is_null( $error ) ) {
  ?>
***************
*** 100,106 ****
  			<td><input name="weblog_title" type="text" id="weblog_title" size="25" value="<?php echo esc_attr( $weblog_title ); ?>" /></td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="user_name"><?php _e('Username'); ?></label></th>
  			<td>
  			<?php
  			if ( $user_table ) {
--- 100,106 ----
  			<td><input name="weblog_title" type="text" id="weblog_title" size="25" value="<?php echo esc_attr( $weblog_title ); ?>" /></td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="user_login"><?php _e('Username'); ?></label></th>
  			<td>
  			<?php
  			if ( $user_table ) {
***************
*** 189,199 ****
  
  		display_header();
  		// Fill in the data we gathered
! 		$weblog_title = isset( $_POST['weblog_title'] ) ? trim( stripslashes( $_POST['weblog_title'] ) ) : '';
! 		$user_name = isset($_POST['user_name']) ? trim( stripslashes( $_POST['user_name'] ) ) : 'admin';
! 		$admin_password = isset($_POST['admin_password']) ? $_POST['admin_password'] : '';
! 		$admin_password_check = isset($_POST['admin_password2']) ? $_POST['admin_password2'] : '';
! 		$admin_email  = isset( $_POST['admin_email']  ) ?trim( stripslashes( $_POST['admin_email'] ) ) : '';
  		$public       = isset( $_POST['blog_public']  ) ? (int) $_POST['blog_public'] : 0;
  		// check e-mail address
  		$error = false;
--- 189,199 ----
  
  		display_header();
  		// Fill in the data we gathered
! 		$weblog_title = isset( $_POST['weblog_title'] ) ? trim( wp_unslash( $_POST['weblog_title'] ) ) : '';
! 		$user_name = isset($_POST['user_name']) ? trim( wp_unslash( $_POST['user_name'] ) ) : 'admin';
! 		$admin_password = isset($_POST['admin_password']) ? wp_unslash( $_POST['admin_password'] ) : '';
! 		$admin_password_check = isset($_POST['admin_password2']) ? wp_unslash( $_POST['admin_password2'] ) : '';
! 		$admin_email  = isset( $_POST['admin_email']  ) ?trim( wp_unslash( $_POST['admin_email'] ) ) : '';
  		$public       = isset( $_POST['blog_public']  ) ? (int) $_POST['blog_public'] : 0;
  		// check e-mail address
  		$error = false;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/accordion.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/accordion.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/accordion.js	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/accordion.js	2013-07-18 12:42:53.000000000 -0500
***************
*** 0 ****
--- 1,55 ----
+ ( function( $ ){
+ 
+ 	$( document ).ready( function () {
+ 
+ 		// Expand/Collapse on click
+ 		$( '.accordion-container' ).on( 'click keydown', '.accordion-section-title', function( e ) {
+ 			if ( e.type === 'keydown' && 13 !== e.which ) // "return" key
+ 					return;
+ 			e.preventDefault(); // Keep this AFTER the key filter above
+ 
+ 			accordionSwitch( $( this ) );
+ 		});
+ 
+ 		// Re-initialize accordion when screen options are toggled
+ 		$( '.hide-postbox-tog' ).click( function () {
+ 			accordionInit();
+ 		});
+ 
+ 	});
+ 
+ 	var accordionOptions = $( '.accordion-container li.accordion-section' ),
+ 		sectionContent   = $( '.accordion-section-content' );
+ 
+ 	function accordionInit () {
+ 		// Rounded corners
+ 		accordionOptions.removeClass( 'top bottom' );
+ 		accordionOptions.filter( ':visible' ).first().addClass( 'top' );
+ 		accordionOptions.filter( ':visible' ).last().addClass( 'bottom' ).find( sectionContent ).addClass( 'bottom' );
+ 	}
+ 
+ 	function accordionSwitch ( el ) {
+ 		var section = el.closest( '.accordion-section' ),
+ 			siblings = section.closest( '.accordion-container' ).find( '.open' ),
+ 			content = section.find( sectionContent );
+ 
+ 		if ( section.hasClass( 'cannot-expand' ) )
+ 			return;
+ 
+ 		if ( section.hasClass( 'open' ) ) {
+ 			section.toggleClass( 'open' );
+ 			content.toggle( true ).slideToggle( 150 );
+ 		} else {
+ 			siblings.removeClass( 'open' );
+ 			siblings.find( sectionContent ).show().slideUp( 150 );
+ 			content.toggle( false ).slideToggle( 150 );
+ 			section.toggleClass( 'open' );
+ 		}
+ 
+ 		accordionInit();
+ 	}
+ 
+ 	// Initialize the accordion (currently just corner fixes)
+ 	accordionInit();
+ 
+ })(jQuery);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/color-picker.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/color-picker.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/color-picker.js	2012-11-21 16:31:55.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/color-picker.js	2013-02-16 11:44:41.000000000 -0600
***************
*** 16,23 ****
  			palettes: true
  		},
  		_create: function() {
! 			// bail early for IE < 8
! 			if ( $.browser.msie && parseInt( $.browser.version, 10 ) < 8 )
  				return;
  			var self = this;
  			var el = self.element;
--- 16,23 ----
  			palettes: true
  		},
  		_create: function() {
! 			// bail early for unsupported Iris.
! 			if ( ! $.support.iris )
  				return;
  			var self = this;
  			var el = self.element;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/common.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/common.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/common.js	2012-11-19 00:07:04.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/common.js	2013-07-09 16:26:32.000000000 -0500
***************
*** 169,184 ****
  	});
  
  	$('#collapse-menu').on('click.collapse-menu', function(e){
! 		var body = $(document.body);
  
  		// reset any compensation for submenus near the bottom of the screen
  		$('#adminmenu div.wp-submenu').css('margin-top', '');
  
! 		if ( $(window).width() < 900 ) {
  			if ( body.hasClass('auto-fold') ) {
! 				body.removeClass('auto-fold');
  				setUserSetting('unfold', 1);
- 				body.removeClass('folded');
  				deleteUserSetting('mfold');
  			} else {
  				body.addClass('auto-fold');
--- 169,190 ----
  	});
  
  	$('#collapse-menu').on('click.collapse-menu', function(e){
! 		var body = $( document.body ), respWidth;
  
  		// reset any compensation for submenus near the bottom of the screen
  		$('#adminmenu div.wp-submenu').css('margin-top', '');
  
! 		// WebKit excludes the width of the vertical scrollbar when applying the CSS "@media screen and (max-width: ...)"
! 		// and matches $(window).width().
! 		// Firefox and IE > 8 include the scrollbar width, so after the jQuery normalization
! 		// $(window).width() is 884px but window.innerWidth is 900px.
! 		// (using window.innerWidth also excludes IE < 9)
! 		respWidth = navigator.userAgent.indexOf('AppleWebKit/') > -1 ? $(window).width() : window.innerWidth;
! 
! 		if ( respWidth && respWidth < 900 ) {
  			if ( body.hasClass('auto-fold') ) {
! 				body.removeClass('auto-fold').removeClass('folded');
  				setUserSetting('unfold', 1);
  				deleteUserSetting('mfold');
  			} else {
  				body.addClass('auto-fold');
***************
*** 307,313 ****
  		$(this).closest( 'table' ).children( 'tbody' ).filter(':visible')
  		.children().children('.check-column').find(':checkbox')
  		.prop('checked', function() {
! 			if ( $(this).closest('tr').is(':hidden') )
  				return false;
  			if ( toggle )
  				return $(this).prop( 'checked' );
--- 313,319 ----
  		$(this).closest( 'table' ).children( 'tbody' ).filter(':visible')
  		.children().children('.check-column').find(':checkbox')
  		.prop('checked', function() {
! 			if ( $(this).is(':hidden') )
  				return false;
  			if ( toggle )
  				return $(this).prop( 'checked' );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/customize-controls.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/customize-controls.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/customize-controls.js	2012-11-21 16:31:55.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/customize-controls.js	2013-02-14 16:58:04.000000000 -0600
***************
*** 846,871 ****
  			api.state = state;
  		}());
  
- 		// Temporary accordion code.
- 		$('.customize-section-title').bind('click keydown', function( event ) {
- 
- 			if ( event.type === 'keydown' &&  13 !== event.which ) // enter
- 					return;
- 
- 			var clicked = $( this ).parents( '.customize-section' );
- 
- 			if ( clicked.hasClass('cannot-expand') )
- 				return;
- 
- 			// Scroll up if on #customize-section-title_tagline
- 			if ('customize-section-title_tagline' === clicked.attr('id'))
- 				$('.wp-full-overlay-sidebar-content').scrollTop(0);
- 
- 			$( '.customize-section' ).not( clicked ).removeClass( 'open' );
- 			clicked.toggleClass( 'open' );
- 			event.preventDefault();
- 		});
- 
  		// Button bindings.
  		$('#save').click( function( event ) {
  			previewer.save();
--- 846,851 ----
***************
*** 886,891 ****
--- 866,876 ----
  			event.preventDefault();
  		});
  
+ 		$('.upload-dropzone a.upload').keydown( function( event ) {
+ 			if ( 13 === event.which ) // enter
+ 				this.click();
+ 		});
+ 
  		$('.collapse-sidebar').on( 'click keydown', function( event ) {
  			if ( event.type === 'keydown' &&  13 !== event.which ) // enter
  				return;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/editor.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/editor.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/editor.js	2012-09-25 22:30:21.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/editor.js	2013-03-22 15:43:37.000000000 -0500
***************
*** 49,56 ****
  			if ( ed && ed.isHidden() )
  				return false;
  
! 			if ( ed )
  				ed.hide();
  
  			dom.removeClass(wrap_id, 'tmce-active');
  			dom.addClass(wrap_id, 'html-active');
--- 49,63 ----
  			if ( ed && ed.isHidden() )
  				return false;
  
! 			if ( ed ) {
  				ed.hide();
+ 			} else {
+ 				// The TinyMCE instance doesn't exist, run the content through "pre_wpautop()" and show the textarea
+ 				if ( tinyMCEPreInit.mceInit[id] && tinyMCEPreInit.mceInit[id].wpautop )
+ 					txtarea_el.value = t.pre_wpautop( txtarea_el.value );
+ 
+ 				dom.setStyles(txtarea_el, {'display': '', 'visibility': ''});
+ 			}
  
  			dom.removeClass(wrap_id, 'tmce-active');
  			dom.addClass(wrap_id, 'html-active');
***************
*** 138,144 ****
  
  	_wp_Autop : function(pee) {
  		var preserve_linebreaks = false, preserve_br = false,
! 			blocklist = 'table|thead|tfoot|caption|col|colgroup|tbody|tr|td|th|div|dl|dd|dt|ul|ol|li|pre|select|option|form|map|area|blockquote|address|math|style|p|h[1-6]|hr|fieldset|noscript|samp|legend|section|article|aside|hgroup|header|footer|nav|figure|figcaption|details|menu|summary';
  
  		if ( pee.indexOf('<object') != -1 ) {
  			pee = pee.replace(/<object[\s\S]+?<\/object>/g, function(a){
--- 145,151 ----
  
  	_wp_Autop : function(pee) {
  		var preserve_linebreaks = false, preserve_br = false,
! 			blocklist = 'table|thead|tfoot|caption|col|colgroup|tbody|tr|td|th|div|dl|dd|dt|ul|ol|li|pre|select|option|form|map|area|blockquote|address|math|style|p|h[1-6]|hr|fieldset|noscript|legend|section|article|aside|hgroup|header|footer|nav|figure|figcaption|details|menu|summary';
  
  		if ( pee.indexOf('<object') != -1 ) {
  			pee = pee.replace(/<object[\s\S]+?<\/object>/g, function(a){
